| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros
helpctrl.h File Reference

## Classes
class | wxHtmlHelpController
| This help controller provides an easy way of displaying HTML help in your application (see HTML Sample, test example). More...
class | wxHtmlModalHelp
| This class uses wxHtmlHelpController to display help in a modal dialog. More...

## Macros
#define | wxID_HTML_HELPFRAME (wxID_HIGHEST + 1)
#define | wxHF_EMBEDDED 0x00008000
| This style indicates that the window is embedded in the application and must not be destroyed by the help controller.
#define | wxHF_DIALOG 0x00010000
| Create a dialog for the help window.
#define | wxHF_FRAME 0x00020000
| Create a frame for the help window.
#define | wxHF_MODAL 0x00040000
| Make the dialog modal when displaying help.

## Macro Definition Documentation

#define wxHF_DIALOG 0x00010000

Create a dialog for the help window.

#define wxHF_EMBEDDED 0x00008000

This style indicates that the window is embedded in the application and must not be destroyed by the help controller.

#define wxHF_FRAME 0x00020000

Create a frame for the help window.

#define wxHF_MODAL 0x00040000

Make the dialog modal when displaying help.

#define wxID_HTML_HELPFRAME (wxID_HIGHEST + 1)